epp_TransferOpType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0503.epp_TransferOpType class

### org.openrtk.idl.epp0503

# Class epp_TransferOpType

- `java.lang.Object`
- - `org.openrtk.idl.epp0503.epp_TransferOpType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_TransferOpType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class defining constant instances of transfer operation types generic for all objects. Used in conjunction with the epp_TransferRequest class to indicate the object transfer. Five transfer operation types supported: APPROVE, CANCEL, QUERY, REJECT and REQUEST. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0503/epp_TransferOpType.java,v 1.1 2003/03/21 16:18:26 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 16:18:26 $

See Also:
  `epp_TransferRequest`

  ## Field Summary
  `static epp_TransferOpType` | `APPROVE` Instance of epp_TransferOpType representing the APPROVE transfer operation type.
  `static epp_TransferOpType` | `CANCEL` Instance of epp_TransferOpType representing the CANCEL transfer operation type.
  `static epp_TransferOpType` | `QUERY` Instance of epp_TransferOpType representing the QUERY transfer operation type.
  `static epp_TransferOpType` | `REJECT` Instance of epp_TransferOpType representing the REJECT transfer operation type.
  `static epp_TransferOpType` | `REQUEST` Instance of epp_TransferOpType representing the REQUEST transfer operation type.
  `static int` | `_APPROVE` Integer value representing the APPROVE transfer operation type.
  `static int` | `_CANCEL` Integer value representing the CANCEL transfer operation type.
  `static int` | `_QUERY` Integer value representing the QUERY transfer operation type.
  `static int` | `_REJECT` Integer value representing the REJECT transfer operation type.
  `static int` | `_REQUEST` Integer value representing the REQUEST transfer operation type.

  ## Constructor Summary
  `epp_TransferOpType(int value)` For internal use only.

  ## Method Summary
  `static epp_TransferOpType` | `from_int(int value)` Transform an integer into a epp_TransferOpType constant.
  `String` | `toString()`
  `int` | `value()` Accessor method for the internal integer representing the transfer operation type.

## Field Details

### APPROVE

    public static final epp_TransferOpType APPROVE

> Instance of epp_TransferOpType representing the APPROVE transfer operation type. Used directly with epp_TransferRequest.
> See Also:
>   `epp_TransferRequest`

### CANCEL

    public static final epp_TransferOpType CANCEL

> Instance of epp_TransferOpType representing the CANCEL transfer operation type. Used directly with epp_TransferRequest.
> See Also:
>   `epp_TransferRequest`

### QUERY

    public static final epp_TransferOpType QUERY

> Instance of epp_TransferOpType representing the QUERY transfer operation type. Used directly with epp_TransferRequest.
> See Also:
>   `epp_TransferRequest`

### REJECT

    public static final epp_TransferOpType REJECT

> Instance of epp_TransferOpType representing the REJECT transfer operation type. Used directly with epp_TransferRequest.
> See Also:
>   `epp_TransferRequest`

### REQUEST

    public static final epp_TransferOpType REQUEST

> Instance of epp_TransferOpType representing the REQUEST transfer operation type. Used directly with epp_TransferRequest.
> See Also:
>   `epp_TransferRequest`

### _APPROVE

    public static final int _APPROVE

> Integer value representing the APPROVE transfer operation type.
> Field Value:
>   0
> See Also:
>   `APPROVE`

### _CANCEL

    public static final int _CANCEL

> Integer value representing the CANCEL transfer operation type.
> Field Value:
>   1
> See Also:
>   `CANCEL`

### _QUERY

    public static final int _QUERY

> Integer value representing the QUERY transfer operation type.
> Field Value:
>   2
> See Also:
>   `QUERY`

### _REJECT

    public static final int _REJECT

> Integer value representing the REJECT transfer operation type.
> Field Value:
>   3
> See Also:
>   `REJECT`

### _REQUEST

    public static final int _REQUEST

> Integer value representing the REQUEST transfer operation type.
> Field Value:
>   4
> See Also:
>   `REQUEST`

## Constructor Details

### epp_TransferOpType

    protected epp_TransferOpType(int value)

> For internal use only. Initializes the internal transfer operation type array.
> Parameters:
>   `value` - The integer value for the desired transfer operation type

## Method Details

### from_int

    public static epp_TransferOpType from_int(int value)

> Transform an integer into a epp_TransferOpType constant. Given the integer representation of the operation type, returns one of the operation type constants.
> Parameters:
>   `value` - The integer value for the desired operation type

### toString

    public String toString()

### value

    public int value()

> Accessor method for the internal integer representing the transfer operation type.
> Returns:
>   The integer value of this transfer operation type

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS